package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.OmstruckOrderMaterialMapper;
import com.steerinfo.dil.model.OmstruckOrderMaterial;
import com.steerinfo.dil.service.IOmstruckOrderMaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * OmstruckOrderMaterial服务实现：
 *
 * @author TXF
 * @version 1.0-SNAPSHORT 2021-09-03 04:55
 * 类描述
 * 修订历史：
 * 日期：2021-09-03
 * 作者：generator
 * 参考：
 * 描述：OmstruckOrderMaterial服务实现
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
@Service(value = "omstruckOrderMaterialService")
public class OmstruckOrderMaterialServiceImpl implements IOmstruckOrderMaterialService {

    @Autowired
    private OmstruckOrderMaterialMapper omstruckOrderMaterialMapper;

    /**
     * 远程调用订单子表新增
     *
     * @param omstruckOrderMaterial
     * @return
     */
    @Override
    public int insertSelective(OmstruckOrderMaterial omstruckOrderMaterial) {
        omstruckOrderMaterialMapper.insertSelective(omstruckOrderMaterial);
        return 0;
    }
}
